Open In App

Tekion Corp Interview Experience for ASE Intern+FTE

Improve
Improve
Like Article
Like
Save
Share
Report

Tekion visited our campus in the First Week of August.

They have 4 Rounds:

  1. Online round
  2. Technical Interview 1
  3. Technical Interview 2
  4. HR Interview

Online Round: Both DSA questions were of Leetcode HARD difficulty.

  • In Online Round They have 2 Sections One is the Core subject and the Other is DSA Questions.
  • There Was 12 Questions => 10 Question from Core Subjects and Debugging + 2 Questions from DSA.
  • For the online round you Need To Have Good Knowledge on the Following Topics:
    • OS 
    • DBMS
    • SQL 
    • CN
    • OOPS
  • For Debugging, Questions were s from C++, JAVA, and C . Practice Debugging Question Thoroughly
  • For DSA, There Were Two Question Asked, Both Were of Hard Difficulty

Array Division: You have been given an array and k. Such that you need to divide at most k subarray such that the cost of all subarray should be minimum.

Cost of subarray => Index(1 indexing) * Element  => (A[1]*1+A[2]*2)
We need to minimize it such that all cost sum is minimum.

It is similar to this question just twist of index*element instead of individual sum https://leetcode.com/problems/split-array-largest-sum/

Alice And Bob: https://leetcode.com/problems/minimum-jumps-to-reach-home/

Similar to This Question but instead of a Single query we Have K queries
1<=k<=10^5, Another thing is same to same

Technical Interview 1: The Interviewer Was Very Good and Friendly. He First Asked, Is this your first interview I simply told Yes. So After Listening to this he first Relaxed me by asking 
What fun have you done in college and other enjoyable moments in college? He asked this about 4-5 minutes. After That, he Asked Which Subject I was good at. I told him. DSA. So he started Asking DSA questions.

  1. Given multiple Cities with sources and destinations. You are traveling from city A to city B. Find The city which if you travel will cover all Cities.
    Input: [a,b],[b,c]  => Output: a,b,c
    For this, I simply told him the brute force approach. Check all source cities and find the path which will give all cities.Time Complexity=> O(n*n). Then he asked me to optimize it. Then I told him about a Map-Based approach. As we know the source city will come only one time and the destination city will also come one time. For that, we simply travel to all the source cities first and increase their count on the map. After that, we will travel all the destination cities and decrease the count. The city Which has a count>0 is the Source.
     
  2. Given an array shift all the zeroes to the Right by maintaining the order of the Array.
    Input: [1,0,2,0] => Output: [1,2,0,0]
    So I first told him the Brute Force approach is simply to make another array store all the integer that is not zero first and after that store all the zeroes after it.
    Time Complexity O(n), Space Complexity O(n)

    So then he asked me to optimize space. After Thinking For a minute I come up with two pointer approach, which is to start I=0,j=0 and point I to the first zero and point the j to the first integer after I, after that simply swap the element at j to the element at I, and increase I and j. Space O(n)
     

  3. Given an array shift all the negative Elements to the Right by maintaining the order of the Array.
    Input: [1,-1,2,-2] => Output: [1,2,-1,-2]
    Similar to the first question I told him the Brute Force approach is simply to make another array store all the integer that is positive first and after that store all the negative after it.
    Time Complexity O(n) , Space Complexity O(n)

    So then he asked me to optimize space. After Thinking For Good time he hint me that you can increase the time complexity then I simply told the school method of deleting the negative element and storing it to last. 
    Time Complexity O(n*n)

The interviewer is Satisfied with My answer.

Then he asked some Core Subjects like OSI model, Router, and DNS I told them all. After that, I Got mail For Round 2 which is scheduled after 1 hour.

Technical Interview 2: To be honest in this interview I got a bit nervous as at first he asked me If I am doing any cheating, I said no sir I am not that type of Guy. So he then told me that if he detects anything that he thinks I am cheating then he will discard me. So I got a bit nervous and my mind is distracted is this the right way or he will say I am cheating? After that, I started looking straight at the camera without any movement and shared screen, and also in the whole interview, I did not move my eyes anywhere.

So then he asked me if you know Java. I clearly said no and said you will ask for anything from C++. After that, he told me to open a notepad and started Giving DSA
Questions.

  1. He asked me about postorder traversal and then I told him straight and also written Recursive code then after that he told me to write an Iterative way. From here the downturn started I explained the approach of iterative postorder but was not able to implement it that way. So then he asked me to submit in leetcode. But my code was not able to pass the example test case. It is giving TLE or Some node is not printing. From here I totally lost because I knew that if you take too much time you will be discarded. Then after giving them a half hour I was not able to solve it Then he gives me a second question.
     
  2. The second question was very easy, given the array finds the max difference between two elements. Then I instantly told him to take the max element and min element and subtract it  I then implemented it, he then moves on to the third question.
     
  3. Given a tree, find the sum of elements having a range between L and R.
    This is also a very easy question, I was told simply do any tree traversal and include all nodes having values between l and r. I have written the code in less than 2 min.

After That, he asked me about Core Subjects:

  1. What is synchronization 
  2. What is virtual memory
  3. What is page fault
  4. Difference between Dijkstra and prism algorithm

At last he told me that I will be rejected because I was not able to solve first Question. Then I told him why I skipped learning the iterative postorder method , and that recursion also takes the same time and same space as iterative postorder but the code is shorter in recursion .
After that, he told me if I have any questions for him. I asked him about the technology he works on. and what I will do if I am able to get the role in the company?
After finishing round2 I got a surprised Hr interview mail and it is scheduled just after an hour.

HR Interview: The interviewer was very friendly and calm. She asked me the following Question

  1. Tell me about yourself?
  2. Why you are joining Tekion, why not Google and Microsoft?
  3. What is your Achievement Till today? 
  4. What is Your Family Background?
  5. Tell Me About Your Project.
  6. Do you have done projects by Yourself?

This interview was very short around 25-30min. After asking this question she told me that he will first discuss it with other interviewers and then will tell me if I will get an offer or not.

Finally, after 3-4 hours I Got a message from TPO that I have been Selected.

Tips:

  1. Don’t panic.
  2. Try to explain as much you can even if you are not able to solve the question.
  3. Always ask the questions of the interviewer, you can find that on the internet (do you have any questions for me?)
  4. Try to solve as many DSA questions as you can .
  5. Always prepare well core subjects.
  6. Don’t lie, tell them what you know without fear.

BEST OF LUCK !!!!! 


Last Updated : 22 Aug, 2022
Like Article
Save Article
Previous
Next
Share your thoughts in the comments
Similar Reads